Package org.apache.nutch.exchange

## Class Exchanges

- java.lang.Object
- - org.apache.nutch.exchange.Exchanges

-     public class Exchanges
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Exchanges​(Configuration conf)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `areAvailableExchanges()` |
    `String[]` | `indexWriters​(NutchDocument nutchDocument)` | Returns all the indexers where the document must be sent to.
    `void` | `open()` | Opens each configured exchange.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Exchanges

          public Exchanges​(Configuration conf)

  - ### Method Detail

    - #### areAvailableExchanges

          public boolean areAvailableExchanges()

    - #### open

          public void open()

      Opens each configured exchange.

    - #### indexWriters

          public String[] indexWriters​(NutchDocument nutchDocument)

      Returns all the indexers where the document must be sent to.
      Parameters:
        `nutchDocument` - The document to process.
      Returns:
        Indexers.